﻿//////////////////////////////////////////////
// BaseMouseHandler.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkInputs
{
	class MouseDevice ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

/// Class ------------------------------------
	
namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT BaseMouseHandler
	{
		protected :
		
			// Attributs
			// Device
			nkInputs::MouseDevice* _mouseDevice ;
			// Active counter at creation time
			int _counter ;
		
		public :
		
			// Constructeur, destructeur
			BaseMouseHandler () ;
			virtual ~BaseMouseHandler () ;

			// Un update
			virtual void update () ;

			// Refresh device à part
			void refreshDevice () ;
	} ;
}