﻿//////////////////////////////////////////////
// ProjectSaveQuery.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class ResourceDeclAugmentCallback ;
}

/// Includes ---------------------------------

// nkScripts
#include "../../Dll/DllDefines.h"

// Standards
#include <string>

/// Class ------------------------------------

namespace nkScripts
{
	struct DLL_SCRIPTS_EXPORT ProjectSaveQuery
	{
		// Path relatif au data folder pour la save
		std::string _path ;

		// Callback d'augmentation de déclarations
		ResourceDeclAugmentCallback* _augmentCallback = nullptr ;
	} ;
}