﻿//////////////////////////////////////////////
// IntArrayWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkAstraeus::lua
{
	class DLL_ASTRAEUS_EXPORT IntArrayWrapper final
	{
		private :

			// Constructeur, destructeur
			IntArrayWrapper () = delete ;
			~IntArrayWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;
	} ;
}