﻿//////////////////////////////////////////////
// ResourceCpuDataDescriptor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "SubresourceCpuDataDescriptor.h"

#include "../Dll/DllDefines.h"

// Standards
#include <vector>

/// Class ------------------------------------

namespace nkGraphics
{
	struct DLL_GRAPHICS_EXPORT ResourceCpuDataDescriptor
	{
		// Données CPU
		void* _data = nullptr ;

		// Les subresources présentes
		std::vector<SubresourceCpuDataDescriptor> _subresources ;
	} ;
}