﻿//////////////////////////////////////////////
// VertexComponent.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

// nkMaths
#include <NilkinsMaths/Algebra/Vector.h>

/// Class ------------------------------------
	
namespace nkGraphics
{
	struct DLL_GRAPHICS_EXPORT VertexComponent final
	{
		nkMaths::Vector _position ;
		nkMaths::Vector _color ;
		nkMaths::Vector _uv ;
		nkMaths::Vector _normal ;
		nkMaths::Vector _tangent ;
		nkMaths::Vector _binormal ;
	} ;
}