﻿//////////////////////////////////////////////
// CompilationResult.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// Standards
#include <string>

/// Class ------------------------------------

namespace nkScripts
{
	enum class COMPILATION_FAILURE_TYPE
	{
		NO_ERROR = 0,
		UNKNOWN,
		INTERPRETER_UNKNOWN,
		SYNTAX,
		MEMORY_ALLOCATION
	} ;

	struct CompilationResult final
	{
		// Message de failure si failure il y a
		std::string _failureMessage ;
		// Type de failure si failure il y a
		COMPILATION_FAILURE_TYPE _failureType = COMPILATION_FAILURE_TYPE::NO_ERROR ;
		// Si succès
		bool _success = true ;
	} ;
}

